All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.tableview
Interface TableCellContentsEditor

All Superinterfaces:
  java.io.Serializable, TransformationInterface

All Known Implementing Classes:
  CellContentsCheckBoxEditor, CellContentsChoiceBoxEditor, CellContentsListBoxEditor, CellContentsRadioEditor, CellContentsTextAreaEditor, CellContentsTextEntryEditor

    public interface TableCellContentsEditor

extends TransformationInterface

This interface defines the methods required by any object that would like to edit the contents of a cell of a TableView. It generates the contents of the table's cell within the appropriate markup language begin and end cell tags.

Method Summary
`abstract ActionList` | `getActions()` Gets the list of valid actions for this cell.
`abstract TransformationInterface` | `getCellContentsEditorComponent(AbstractBaseTableView viewer, java.lang.Object value, java.lang.String name, ActionList actions)` Returns the tbean used for rendering the contents of the tableview's editable cell.
`abstract AbstractBaseTableView` | `getTableView()` Gets the instance of the AbstractBaseTableView containing this cell.
`abstract void` | `setActions(ActionList actions)` Sets the list of valid actions for this cell.
`abstract void` | `setTableView(AbstractBaseTableView tableview)` Sets the instance of the AbstractBaseTableView containing this cell.

Methods inherited from interface com.sas.servlet.tbeans.TransformationInterface
`getCustomAttributes, getDescription, getId, getLocale, getName, getRequest, getResponse, getTagEpilog, getTagProlog, isVisible, setCustomAttributes, setDescription, setId, setLocale, setName, setRequest, setResponse, setTagEpilog, setTagProlog, setVisible, write, write, write, write`

Method Detail

### getCellContentsEditorComponent

    TransformationInterface getCellContentsEditorComponent(AbstractBaseTableView viewer,
                                                           java.lang.Object value,
                                                           java.lang.String name,
                                                           ActionList actions)

  Returns the tbean used for rendering the contents of the tableview's editable cell. This method is used to configure the contents editor appropriately before writing out the component. The tableview requires the name of the contents editor to be of a specific format for editing purposes.

  Parameters:
    `viewer` - the instance of the tableview being written.
    `value` - the value to display as the cell's contents
    `name` - the name to use for the contents editor
    `actions` - an actionlist of all the valid actions for this cell
  Returns:
    the contents editor for this cell

### setActions

    void setActions(ActionList actions)

  Sets the list of valid actions for this cell.

  Parameters:
    `actions` - an actionlist of all the valid actions for this cell

### getActions

    ActionList getActions()

  Gets the list of valid actions for this cell.

  Returns:
    the actionlist of all the valid actions for this cell, or null if not set

### setTableView

    void setTableView(AbstractBaseTableView tableview)

  Sets the instance of the AbstractBaseTableView containing this cell.

  Parameters:
    `tableview` - an instance of AbstractBaseTableView containing this cell

### getTableView

    AbstractBaseTableView getTableView()

  Gets the instance of the AbstractBaseTableView containing this cell.

  Returns:
    the tableview containing this cell

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.